---
layout: article.njk
title: Sichere Chats mit Matrix – Matrix Teil 2
service: matrix
series: matrix-setup
tags:
  - Tutorial
  - Matrix
  - Messenger
  - Verschlüsselung
  - Element
---

# Sichere Chats mit Matrix – Matrix Teil 2

Im [ersten Teil](/de/services/matrix/setup/part-1/) der Matrix-Serie habe ich erklärt, wie du dir einen Matrix-Account anlegen und mit deinen Kontakten einen Chat beginnen kannst. In diesem Teil möchte ich nun darauf aufbauen und erklären, was es mit Ende-zu-Ende-Verschlüsselung und der Verifizierung von Kontakten auf sich hat. Wenn Matrix also neu für dich ist, würde ich dir empfehlen, dir zunächst den [ersten Teil](/de/services/matrix/setup/part-1/) anzuschauen und anschließend hier weiterzulesen.

## Ende-zu-Ende-Verschlüsselung aktivieren

Durch [Ende-zu-Ende-Verschlüsselung](https://de.wikipedia.org/wiki/Ende-zu-Ende-Verschl%C3%BCsselung) wird sichergestellt, dass die Nachrichten, die du schreibst, auf deinem Gerät verschlüsselt und erst auf dem Gerät der Person, die die Nachrichten empfängt, entschlüsselt werden können. Dadurch ist es also selbst für den:die Server-Betreiber:in unmöglich, deine Nachrichten zu lesen. Deshalb ist es empfehlenswert, Ende-zu-Ende-Verschlüsselung zu nutzen.

Je nach App wird die Ende-zu-Ende-Verschlüsselung direkt beim Erstellen eines Chats aktiviert oder es wird dort die Möglichkeit zur Aktivierung gegeben. Wenn die Verschlüsselung nicht beim Erstellen aktiviert wird, sollte sie für private Chats danach aktiviert werden. In Element geht, das wie folgt:

<div class="row img-gallery">
<div class="col-lg-3 col-sm-6 col-12">
<a href="/img/matrix/setup/part-2/e2ee1.png">
<img src="/img/matrix/setup/part-2/e2ee1.png">
<small>Öffne das Chat-Menü durch Tippen auf den Namen in der oberen Leiste. Anschließend wählst du „Einstellungen“ aus.</small>
</a>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<a href="/img/matrix/setup/part-2/e2ee2.png">
<img src="/img/matrix/setup/part-2/e2ee2.png">
<small>In den Raum-Einstellungen wählst du dann „Ende-zu-Ende-Verschlüsselung aktivieren“ aus.</small>
</a>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<a href="/img/matrix/setup/part-2/e2ee3.png">
<img src="/img/matrix/setup/part-2/e2ee3.png">
<small>Nun kannst du die Ende-zu-Ende-Verschlüsselung aktivieren.</small>
</a>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<a href="/img/matrix/setup/part-2/e2ee4.png">
<img src="/img/matrix/setup/part-2/e2ee4.png">
<small>Ob die Ende-zu-Ende-Verschlüsselung aktiviert ist, kannst du unter „Sicherheit“ sehen.</small>
</a>
</div>
</div>

Wenn du in einem Chat die Ende-zu-Ende-Verschlüsselung aktiviert hast, ist es außerdem ratsam, die Schlüsselsicherung einzurichten. Dafür musst du ein zusätzliches Schlüsselpasswort verwenden. Mit diesem Passwort kannst du verschlüsselte Chats auch auf anderen Geräten wiederherstellen. Element wird dich dazu auffordern, ein Schlüsselpasswort zu setzen, wenn es notwendig ist:

<div class="row img-gallery">
<div class="col-lg-3 col-sm-6 col-12">
<a href="/img/matrix/setup/part-2/key1.png">
<img src="/img/matrix/setup/part-2/key1.png">
<small>Element zeigt die eine Benachrichtigung zum Setzen eines Schlüsselpassworts an.</small>
</a>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<a href="/img/matrix/setup/part-2/key2.png">
<img src="/img/matrix/setup/part-2/key2.png">
<small>Wenn du auf die Benachrichtigung klickst, öffnet sich diese Auswahl.</small>
</a>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<a href="/img/matrix/setup/part-2/key3.png">
<img src="/img/matrix/setup/part-2/key3.png">
<small>Wenn du „Benutze einen Sicherheitsschlüssel“ wählst, wird ein zufälliger Schlüssel generiert, den du an einem sicheren Ort aufbewahren solltest.</small>
</a>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<a href="/img/matrix/setup/part-2/key4.png">
<img src="/img/matrix/setup/part-2/key4.png">
<small>Wenn du „Benutze Sicherheitsphrase“ wählst, kannst du selber ein Passwort festlegen.</small>
</a>
</div>
</div>

Wenn du diese Benachrichtigung nicht bekommst, kannst du auch in den Einstellungen unter „Sicherheit & Privatsphäre“ > „Wiederherstellung verschlüsselter Nachrichten“ die Schlüsselsicherung einrichten. Außerdem kannst du dort die Schlüsselsicherung zurücksetzen, wenn du dein Schlüsselpasswort vergessen hast.

Um die Schlüsselsicherung in einer neuen Sitzung wiederherzustellen, kannst du entweder die Sitzung von einem anderen Gerät verifizieren (siehe unten Cross Signing) oder du nutzt dein Schlüsselpasswort. Gehe hierfür in die Einstellungen und wähle unter „Sicherheit & Privatsphäre“ die Option „Wiederherstellung verschlüsselter Nachrichten“ und anschließend „Von Sicherung wiederherstellen“. Damit sollten alle Nachrichten in deinen verschlüsselten Chats auch in dieser Sitzung wieder lesbar sein.

## Kontakte verifizieren

Zusätzlich zur Ende-zu-Ende-Verschlüsselung kannst du mithilfe der Kontaktverifizierung sicherstellen, dass du mit der richtigen Person schreibst und du nicht Opfer eines [Man-In-The-Middle-Angriffs](https://de.wikipedia.org/wiki/Man-in-the-Middle-Angriff) wirst.

In Element kann die Kontakt-Verifizierung über einen QR-Code Scan oder über den Vergleich von Emojis oder eines Texts durchgeführt werden. Um einen Kontakt zu verifizieren, wähle den Chat mit der Person aus und tippe anschließend auf den Namen in der Titelzeile. Nun geht es wie folgt weiter:

<div class="row img-gallery">
<div class="col-lg-4 col-sm-6 col-12">
<a href="/img/matrix/setup/part-2/verifizieren1.png">
<img src="/img/matrix/setup/part-2/verifizieren1.png">
<small>Wähle im Chat-Menü „Personen“ aus und anschließend die Person, die du verifizieren willst.</small>
</a>
</div>
<div class="col-lg-4 col-sm-6 col-12">
<a href="/img/matrix/setup/part-2/verifizieren2.png">
<img src="/img/matrix/setup/part-2/verifizieren2.png">
<small>In der Kontaktansicht kannst du nun „Verifizieren“ auswählen.</small>
</a>
</div>
<div class="col-lg-4 col-sm-6 col-12">
<a href="/img/matrix/setup/part-2/verifizieren3.png">
<img src="/img/matrix/setup/part-2/verifizieren3.png">
<small>Starte die Verifizierung, indem du auf „Verifizierung beginnen“ tippst.</small>
</a>
</div>
<div class="col-lg-4 col-sm-6 col-12">
<a href="/img/matrix/setup/part-2/verifizieren4.png">
<img src="/img/matrix/setup/part-2/verifizieren4.png">
<small>Anschließend kannst du direkt den QR-Code deines Kontakts scannen, wenn du die Möglichkeit hast. Wenn nicht, tippe auf „Kann nicht scannen“.</small>
</a>
</div>
<div class="col-lg-4 col-sm-6 col-12">
<a href="/img/matrix/setup/part-2/verifizieren5.png">
<img src="/img/matrix/setup/part-2/verifizieren5.png">
<small>Wenn du nicht scannen kannst, kannst du deinen Kontakt mit einer Reihe zufälliger Emojis verifizieren.</small>
</a>
</div>
<div class="col-lg-4 col-sm-6 col-12">
<a href="/img/matrix/setup/part-2/verifizieren6.png">
<img src="/img/matrix/setup/part-2/verifizieren6.png">
<small>Nachdem ihr euch erfolgreich verifiziert habt, seht ihr beide dieses grüne Schild.</small>
</a>
</div>
</div>

Die einzelnen Schritte der Verifizierung können eine Weile dauern. Warte deshalb etwas ab, bevor du die Verifizierung abbrichst. Um die Verifizierung eines Kontakts sicher durchzuführen, mache sie entweder wenn ihr euch real trefft oder tauscht die Emojis über einen unabhängigen, vertrauenswürdigen Kanal, z.B. am Telefon aus.

## Cross Signing

Um in Matrix zu chatten, kannst du beliebig viele Apps auf verschiedenen Geräten, dem Handy, am PC, im Browser, etc. nutzen. Damit du aber nicht alle deine Geräte mit allen Geräten deiner Kontakte verifizieren musst, gibt es seit einiger Zeit das sogenannte Cross Signing. Hierfür verifiziert jede:r seine:ihre eigenen Geräte selbst. Die Verifizierung funktioniert wie die der Kontakte. Wenn du dich an einem neuen Gerät anmeldest, bekommst du in Element auf deinen anderen Geräten eine Benachrichtigung. Damit kannst du direkt die Verifizierung initiieren.

Alternativ kannst du auch alle deine Sitzungen in den Einstellungen verifizieren. Gehe hierfür in den Einstellungen auf „Sicherheit & Privatsphäre“ und dann auf „Zeige alle Sitzungen“. Dort siehst du nun, welche Sitzungen bereits verifiziert sind und du kannst die übrigen Sitzungen verifizieren.

<div class="row img-gallery">
<div class="col-lg-3 col-sm-6 col-12">
<a href="/img/matrix/setup/part-2/session1.png">
<img src="/img/matrix/setup/part-2/session1.png">
<small>Wähle aus der Liste die Sitzung, die du verifizieren willst.</small>
</a>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<a href="/img/matrix/setup/part-2/session2.png">
<img src="/img/matrix/setup/part-2/session2.png">
<small>Wähle nun wie du diese Sitzung verifizieren willst, z.B. mithilfe der Emojis.</small>
</a>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<a href="/img/matrix/setup/part-2/session3.png">
<img src="/img/matrix/setup/part-2/session3.png">
<small>Wie bei der Verifizierung deiner Kontakte musst du nun die Emojis auf beiden Geräten vergleichen.</small>
</a>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<a href="/img/matrix/setup/part-2/session4.png">
<img src="/img/matrix/setup/part-2/session4.png">
<small>Nachdem du dein Gerät erfolgreich verifiziert hast, wird dieses grüne Schild angezeigt.</small>
</a>
</div>
</div>

Es ist wichtig, alle deine Sitzungen zu verifizieren, damit auch für deine Kontakte erkennbar ist, dass die Ende-zu-Ende-Verschlüsselung richtig funktioniert.

Wenn du nicht willst, dass Element automatisch neuen Sitzungen deines Kontakts vertraut, kannst du in den Einstellungen unter „Sicherheit & Privatsphäre“ die Option „Nur zu verifizierten Sitzungen verschlüsseln“ aktivieren. Dann musst du jede Sitzung einzeln verifizieren.

## Fehler beheben

Wenn du Probleme damit haben solltest, dass die Schlüsselsicherung oder das Cross Signing nicht richtig funktioniert, kann es hilfreich sein, das Schlüsselbackup und / oder die Schlüsselsicherung in den Einstellungen zurückzusetzen. Das kannst du in den Einstellungen unter „Sicherheit & Privatsphäre“ erledigen. Nutze die Option „Backup zurücksetzen“ und / oder „Wiederherstellung verschlüsselter Nachrichten“ und dann „Sicherung löschen“. Bei weiteren Problemen schreibe gerne einen Kommentar.

## Wie geht’s weiter?

Ich hoffe, dieser Teil war nicht zu technisch / theoretisch und du konntest die einzelnen Punkte nachvollziehen. Im nächsten Teil dieser Serie werde ich über Gruppen und Kanäle in Matrix berichten und einige interessante davon vorstellen. Wenn du Vorschläge dafür hast, kannst du sie mir gerne zukommen lassen. Bis dahin viel Spaß beim sicheren Chatten mit deinen Freund:innen.
